uk.gov.hmrc.play.fsm.JourneyController

# Executable

###
Related Doc: package JourneyController

#### sealed trait Executable extends AnyRef

Interface of the action building blocks.

Provides common post-processing functions:

- display to force display - displayUsing to force display using custom renderer - redirect to force redirect - redirectOrDisplayIfSame to display if state didn't change, otherwise redirect - redirectOrDisplayUsingIfSame to display using custom renderer if state didn't change, otherwise redirect - redirectOrDisplayIf to display if state of some type, otherwise redirect - redirectOrDisplayUsingIf to display using custom renderer if state of some type, otherwise redirect - displayOrRedirectIf to redirect if state of some type, otherwise display - displayUsingOrRedirectIf to redirect if state of some type, otherwise display using custom renderer - andCleanBreadcrumbs to clean history (breadcrumbs) - transform to transform final result - recover to recover from an error using custom strategy - recoverWith to recover from an error using custom strategy

Linear Supertypes
AnyRef, Any
Known Subclasses
Apply, Apply, Apply, Apply, Apply, Apply, Apply, Apply, ApplyWithRequest, ApplyWithRequest, ApplyWithRequest, ApplyWithRequest, ApplyWithRequest, ApplyWithRequest, ApplyWithRequest, ApplyWithRequest, OrApply, OrApply, OrApply, OrApply, OrApplyWithRequest, OrApplyWithRequest, Show, Show, ShowCurrentState, ShowCurrentState, WaitFor, WaitFor
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Executable
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def execute(settings: Settings)(implicit request: Request[_], ec: ExecutionContext): Future[Result]

   Execute and return the future of result.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def andCleanBreadcrumbs(): Executable

   Clean history (breadcrumbs) after an action.

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def display: Executable

   Change how the result is created.

   Change how the result is created. Force displaying the state after action using renderState.

8. #### final def displayOrRedirectIf[S <: State](implicit arg0: ClassTag[S]): Executable

   Change how the result is created.

   Change how the result is created. If the state after action is of type S then redirect using URL returned by getCallFor otherwise display using renderState,.

9. #### final def displayUsing(renderState: Renderer): Executable

   Change how the result is created.

   Change how the result is created. Force displaying the state after action using custom renderer.

10. #### final def displayUsingOrRedirectIf[S <: State](renderState: Renderer)(implicit arg0: ClassTag[S]): Executable

    Change how the result is created.

    Change how the result is created. If the state after action is of type S then redirect using URL returned by getCallFor, otherwise display using custom renderer.

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def recover(recoveryStrategy: PartialFunction[Throwable, Result]): Executable

    Recover from an error using custom strategy.

21. #### final def recoverWith(recoveryStrategy: (Request[_]) ⇒ PartialFunction[Throwable, Future[Result]]): Executable

    Recover from an error using custom strategy.

22. #### final def redirect: Executable

    Change how the result is created.

    Change how the result is created. Force redirect to the state after action using URL returned by getCallFor.

23. #### final def redirectOrDisplayIf[S <: State](implicit arg0: ClassTag[S]): Executable

    Change how the result is created.

    Change how the result is created. If the state after action is of type S then display using renderState, otherwise redirect using URL returned by getCallFor.

24. #### final def redirectOrDisplayIfSame: Executable

    Change how the result is created.

    Change how the result is created. If the state after action didn't change then display using renderState, otherwise redirect using URL returned by getCallFor.

25. #### final def redirectOrDisplayUsingIf[S <: State](renderState: Renderer)(implicit arg0: ClassTag[S]): Executable

    Change how the result is created.

    Change how the result is created. If the state after action is of type S then display using custom renderer, otherwise redirect using URL returned by getCallFor.

26. #### final def redirectOrDisplayUsingIfSame(renderState: Renderer): Executable

    Change how the result is created.

    Change how the result is created. If the state after action didn't change then display using custom renderer, otherwise redirect using URL returned by getCallFor.

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def transform(fx: PartialFunction[Result, Result]): Executable

    Transform result using provided partial function.

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped